# -----------------------------------------------------------------------------
sub oraSaveCfg
# -----------------------------------------------------------------------------
{
  ($thishost) = @_;

  if ($up[$thishost] ne "Y")
  {
    &logit("(Down/Inhibited)",$thishost);
    return 1 ;
  }

  open(SAVE_PATH,">$save_file[$thishost]") ||  &error_msg("Can't open output SAVE_PATH $save_file[$thishost] - $!");

  $nowdate = &getdate();
  print SAVE_PATH "+-----------------------------------------------------------+\n";
  print SAVE_PATH "|  DBAmon Oracle Configuration - Saved $nowdate  |\n"; 
  print SAVE_PATH "+-----------------------------------------------------------+\n\n";

  @lines = split(/\n/,$oraSaveCfgStack[$thishost]);
  foreach (@lines)
  {
    &parse;
    $z2 = substr($F0,23);
    print SAVE_PATH "$z2 \n";

    #---- Hook for parsing init.ora parms 
    if ($z2 =~ /^initOraAll:/)
    {
      $cfg_line = $z2;
      undef $instance_info[$thishost]; 

      #---- Remove trailing comments
      $cfg_line =~ s/\#.*//g;

      #---- Find out word count
      @zwords = split(' ',$cfg_line);
      if ($#zwords == 3)
      {
        $zparm = uc $zwords[1]; 
        $zval  = $zwords[3]; 
        ##print "instance_parms[$thishost]{$zparm} = $zval\n"; 
        $instance_parms[$thishost]{"$zparm"} = "$zval"; 
        $instance_details[$thishost] .= "|DBMSParms|$zparm|$zval|\n" unless $z2 =~ /\#DEFAULT/;
      }
    }
  }
  close(SAVE_PATH);

  ## #---- Test
  ## foreach $zkey (sort keys %{ $instance_parms[$thishost] })
  ## {
  ##   $zval = $instance_parms[$thishost]{"$zkey"}; 
  ##   print "DEBUG - zkey=$zkey zval=$zval\n"; 
  ## }

  &logit("init.ora Saved OK in $save_file[$thishost]",$thishost);
}     
# -----------------------------------------------------------------------------
1;
